org.apache.catalina.tribes

## Interface ManagedChannel

All Superinterfaces:
  Channel

All Known Implementing Classes:
  GroupChannel

    public interface ManagedChannel
    extends Channel

Channel interface A managed channel interface gives you access to the components of the channels such as senders, receivers, interceptors etc for configurations purposes

Author:
  Filip Hanik

### Field Summary

### Fields inherited from interface org.apache.catalina.tribes.Channel

`DEFAULT, MBR_RX_SEQ, MBR_TX_SEQ, SEND_OPTIONS_ASYNCHRONOUS, SEND_OPTIONS_BYTE_MESSAGE, SEND_OPTIONS_DEFAULT, SEND_OPTIONS_MULTICAST, SEND_OPTIONS_SECURE, SEND_OPTIONS_SYNCHRONIZED_ACK, SEND_OPTIONS_UDP, SEND_OPTIONS_USE_ACK, SND_RX_SEQ, SND_TX_SEQ`

### Method Summary

Methods
`ChannelReceiver` `getChannelReceiver()` returns the channel receiver
`ChannelSender` `getChannelSender()` returns the channel sender
`Iterator<ChannelInterceptor>` `getInterceptors()` Returns the interceptor stack
`MembershipService` `getMembershipService()` Returns the membership service
`void` `setChannelReceiver(ChannelReceiver receiver)` Sets the channel receiver
`void` `setChannelSender(ChannelSender sender)` Sets the channel sender
`void` `setMembershipService(MembershipService service)` Sets the membership service

### Methods inherited from interface org.apache.catalina.tribes.Channel

`addChannelListener, addInterceptor, addMembershipListener, getLocalMember, getMember, getMembers, hasMembers, heartbeat, removeChannelListener, removeMembershipListener, send, send, setHeartbeat, start, stop`

### Method Detail

#### setChannelSender

    void setChannelSender(ChannelSender sender)

Sets the channel sender

Parameters:
  `sender` - ChannelSender
See Also:
  `ChannelSender`

#### setChannelReceiver

    void setChannelReceiver(ChannelReceiver receiver)

Sets the channel receiver

Parameters:
  `receiver` - ChannelReceiver
See Also:
  `ChannelReceiver`

#### setMembershipService

    void setMembershipService(MembershipService service)

Sets the membership service

Parameters:
  `service` - MembershipService
See Also:
  `MembershipService`

#### getChannelSender

    ChannelSender getChannelSender()

returns the channel sender

Returns:
  ChannelSender
See Also:
  `ChannelSender`

#### getChannelReceiver

    ChannelReceiver getChannelReceiver()

returns the channel receiver

Returns:
  ChannelReceiver
See Also:
  `ChannelReceiver`

#### getMembershipService

    MembershipService getMembershipService()

Returns the membership service

Returns:
  MembershipService
See Also:
  `MembershipService`

#### getInterceptors

    Iterator<ChannelInterceptor> getInterceptors()

Returns the interceptor stack

Returns:
  Iterator
See Also:
  `Channel.addInterceptor(ChannelInterceptor)`